From 82c91dff9dd6126fe927363d75f9e2c7121e3183 Mon Sep 17 00:00:00 2001
From: David Carlos <ddavidcarlos1392@gmail.com>
Date: Mar 16 2018 02:29:46 +0000
Subject: [PATCH 1/17] Use a migration to create kiskadee fetchers.


---

diff --git a/alembic/versions/50988af48b09_create_fetcher_table.py b/alembic/versions/50988af48b09_create_fetcher_table.py
index 54fd6c4..33e90a3 100644
--- a/alembic/versions/50988af48b09_create_fetcher_table.py
+++ b/alembic/versions/50988af48b09_create_fetcher_table.py
@@ -30,7 +30,7 @@ def upgrade():
             primary_key=True
         ),
         sa.Column('name', sa.Unicode(255), nullable=False, unique=True),
-        sa.Column('target', sa.Unicode(255), nullable=True),
+        sa.Column('source', sa.Unicode(255), nullable=True),
         sa.Column('description', sa.UnicodeText)
     )
 
diff --git a/alembic/versions/cc4887b7c3da_create_fetchers_on_database.py b/alembic/versions/cc4887b7c3da_create_fetchers_on_database.py
index bd88705..01ec98c 100644
--- a/alembic/versions/cc4887b7c3da_create_fetchers_on_database.py
+++ b/alembic/versions/cc4887b7c3da_create_fetchers_on_database.py
@@ -23,7 +23,7 @@ def upgrade():
     fetchers_table = table('fetchers',
             column('id', Integer),
             column('name', String),
-            column('target', String),
+            column('source', String),
             column('description', String)
             )
 
@@ -35,7 +35,7 @@ def upgrade():
                 [
                     {
                         'id': idx, 'name': _fetcher.name,
-                        'target': _fetcher.config['target'],
+                        'source': _fetcher.config['source'],
                         'description': _fetcher.config['description']
                         }
                     ]
diff --git a/util/kiskadee.conf b/util/kiskadee.conf
index c2dc351..5eb6ec8 100644
--- a/util/kiskadee.conf
+++ b/util/kiskadee.conf
@@ -19,7 +19,7 @@ port = 5432
 dbname = kiskadee_test
 
 [debian_fetcher]
-target = http://ftp.us.debian.org/debian
+source = http://ftp.us.debian.org/debian
 description = A fetcher to monitor Debian Repositories
 release = sid
 meta = Sources.gz
@@ -28,13 +28,13 @@ analyzers = cppcheck flawfinder
 active = no
 
 [juliet_fetcher]
-target = juliet
+source = juliet
 description = SAMATE Juliet test suite
 analyzers = cppcheck
 active = no
 
 [anitya_fetcher]
-target = release-monitoring.org
+source = release-monitoring.org
 description = A fetcher to monitor Anitya packages
 analyzers = cppcheck flawfinder
 active = no
@@ -42,7 +42,7 @@ zmq_port = 5556
 zmq_topic = anitya
 
 [example_fetcher]
-target = example
+source = example
 description = SAMATE Juliet test suite
 analyzers = cppcheck flawfinder clanganalyzer frama_c
 active = yes

